/**
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 * Copyright 2012-2015 the original author or authors.
 */
package org.assertj.swing.driver;

import java.net.MalformedURLException;
import java.net.URL;

/**
 * {@link URL}s for testing.
 * 
 * @author Alex Ruiz
 */
public class TestURLs {
  public static URL singletonURL() {
    return LazyLoadedSingleton.INSTANCE;
  }

  private static class LazyLoadedSingleton {
    static final URL INSTANCE = newURL();
  }

  private static URL newURL() {
    try {
      return new URL("http://fest.easytesting.org");
    } catch (MalformedURLException e) {
      throw new RuntimeException("Unable to create URL", e);
    }
  }

  private TestURLs() {
  }
}
